# This file was auto generated by Styx.
# Do not edit this file directly.

import typing
import pathlib
from styxdefs import *
import dataclasses

DMRIRC_LONG_EXAMPLE_METADATA = Metadata(
    id="0ecf48d85d728dec35b6639a3eb8714e0aff0e5a.boutiques",
    name="dmrirc.long.example",
    package="freesurfer",
    container_image_tag="freesurfer/freesurfer:7.4.1",
)


class DmrircLongExampleOutputs(typing.NamedTuple):
    """
    Output object returned when calling `dmrirc_long_example(...)`.
    """
    root: OutputPathType
    """Output root folder. This is the root folder for all outputs."""


def dmrirc_long_example(
    config_file: InputPathType,
    runner: Runner | None = None,
) -> DmrircLongExampleOutputs:
    """
    Example script for processing DWI data in a longitudinal study.
    
    Author: FreeSurfer Developers
    
    URL: https://github.com/freesurfer/freesurfer
    
    Args:
        config_file: Configuration file for the DWI processing script.
        runner: Command runner.
    Returns:
        NamedTuple of outputs (described in `DmrircLongExampleOutputs`).
    """
    runner = runner or get_global_runner()
    execution = runner.start_execution(DMRIRC_LONG_EXAMPLE_METADATA)
    cargs = []
    cargs.append("dmrirc.long.example")
    cargs.append(execution.input_file(config_file))
    ret = DmrircLongExampleOutputs(
        root=execution.output_file("."),
    )
    execution.run(cargs)
    return ret


__all__ = [
    "DMRIRC_LONG_EXAMPLE_METADATA",
    "DmrircLongExampleOutputs",
    "dmrirc_long_example",
]
