# This file was auto generated by Styx.
# Do not edit this file directly.

import typing
import pathlib
from styxdefs import *
import dataclasses

MRI_PROBEDICOM_METADATA = Metadata(
    id="64586dfbb8a147b28c877a7e3bd732e2c61fb1d7.boutiques",
    name="mri_probedicom",
    package="freesurfer",
    container_image_tag="freesurfer/freesurfer:7.4.1",
)


class MriProbedicomOutputs(typing.NamedTuple):
    """
    Output object returned when calling `mri_probedicom(...)`.
    """
    root: OutputPathType
    """Output root folder. This is the root folder for all outputs."""
    output_file: OutputPathType
    """Text file containing extracted information from DICOM."""


def mri_probedicom(
    dicom_file: InputPathType,
    runner: Runner | None = None,
) -> MriProbedicomOutputs:
    """
    Utility to probe DICOM files for information.
    
    Author: FreeSurfer Developers
    
    URL: https://github.com/freesurfer/freesurfer
    
    Args:
        dicom_file: DICOM file to be probed.
        runner: Command runner.
    Returns:
        NamedTuple of outputs (described in `MriProbedicomOutputs`).
    """
    runner = runner or get_global_runner()
    execution = runner.start_execution(MRI_PROBEDICOM_METADATA)
    cargs = []
    cargs.append("mri_probedicom")
    cargs.append(execution.input_file(dicom_file))
    cargs.append("[OPTIONS]")
    ret = MriProbedicomOutputs(
        root=execution.output_file("."),
        output_file=execution.output_file("[OUTPUT].txt"),
    )
    execution.run(cargs)
    return ret


__all__ = [
    "MRI_PROBEDICOM_METADATA",
    "MriProbedicomOutputs",
    "mri_probedicom",
]
