# This file was auto generated by Styx.
# Do not edit this file directly.

import typing
import pathlib
from styxdefs import *
import dataclasses

PROGRESSBAR_TCL_METADATA = Metadata(
    id="3bb02d81db727c9c91e48884c41be0e86b9ee875.boutiques",
    name="progressbar.tcl",
    package="freesurfer",
    container_image_tag="freesurfer/freesurfer:7.4.1",
)


class ProgressbarTclOutputs(typing.NamedTuple):
    """
    Output object returned when calling `progressbar_tcl(...)`.
    """
    root: OutputPathType
    """Output root folder. This is the root folder for all outputs."""


def progressbar_tcl(
    runner: Runner | None = None,
) -> ProgressbarTclOutputs:
    """
    Tcl script for managing progress bars in applications.
    
    Author: FreeSurfer Developers
    
    URL: https://github.com/freesurfer/freesurfer
    
    Args:
        runner: Command runner.
    Returns:
        NamedTuple of outputs (described in `ProgressbarTclOutputs`).
    """
    runner = runner or get_global_runner()
    execution = runner.start_execution(PROGRESSBAR_TCL_METADATA)
    cargs = []
    cargs.append("progressbar.tcl")
    cargs.append("[OPTIONAL_ARGUMENTS]")
    ret = ProgressbarTclOutputs(
        root=execution.output_file("."),
    )
    execution.run(cargs)
    return ret


__all__ = [
    "PROGRESSBAR_TCL_METADATA",
    "ProgressbarTclOutputs",
    "progressbar_tcl",
]
