# This file was auto generated by Styx.
# Do not edit this file directly.

import typing
import pathlib
from styxdefs import *
import dataclasses

SEGMENT_HA_T1_SH_METADATA = Metadata(
    id="bed85b99eff2ff7fed59731877a9169d35e6c880.boutiques",
    name="segmentHA_T1.sh",
    package="freesurfer",
    container_image_tag="freesurfer/freesurfer:7.4.1",
)


class SegmentHaT1ShOutputs(typing.NamedTuple):
    """
    Output object returned when calling `segment_ha_t1_sh(...)`.
    """
    root: OutputPathType
    """Output root folder. This is the root folder for all outputs."""
    hippocampus_aseg: OutputPathType
    """Segmented hippocampal subfields."""
    amygdala_aseg: OutputPathType
    """Segmented amygdalar subfields."""


def segment_ha_t1_sh(
    input_image: InputPathType,
    output_directory: str,
    runner: Runner | None = None,
) -> SegmentHaT1ShOutputs:
    """
    Tool for hippocampal/amygdalar subfield segmentation.
    
    Author: FreeSurfer Developers
    
    URL: https://github.com/freesurfer/freesurfer
    
    Args:
        input_image: The input T1-weighted MRI image for hippocampal/amygdalar\
            segmentation.
        output_directory: The directory where the output will be saved.
        runner: Command runner.
    Returns:
        NamedTuple of outputs (described in `SegmentHaT1ShOutputs`).
    """
    runner = runner or get_global_runner()
    execution = runner.start_execution(SEGMENT_HA_T1_SH_METADATA)
    cargs = []
    cargs.append("segmentHA_T1.sh")
    cargs.append(execution.input_file(input_image))
    cargs.append(output_directory)
    cargs.append("[OPTIONS]")
    ret = SegmentHaT1ShOutputs(
        root=execution.output_file("."),
        hippocampus_aseg=execution.output_file(output_directory + "/hippocampus_aseg.mgz"),
        amygdala_aseg=execution.output_file(output_directory + "/amygdala_aseg.mgz"),
    )
    execution.run(cargs)
    return ret


__all__ = [
    "SEGMENT_HA_T1_SH_METADATA",
    "SegmentHaT1ShOutputs",
    "segment_ha_t1_sh",
]
